#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

# Needed for get-orig-source
PKGDIR := $(dir $(firstword $(MAKEFILE_LIST)))..
UPVER := $(shell echo ${DEB_VERSION} | sed -nre 's/^(.*)\+ds.*/\1/p')

%:
	dh $@ --with python2 --buildsystem=pybuild


override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd $(CURDIR)/tests/keyczar_tests && {interpreter} alltests.py" \
	dh_auto_test

get-orig-source:
	uscan \
		--noconf \
		--force-download \
		--download-version $(UPVER) \
		--no-symlink \
	  	--check-dirname-level=0 \
		--destdir=$(CURDIR) \
		$(PKGDIR)
	tar -xzf Python_release_$(UPVER).tar.gz
	cd keyczar-Python_release_$(UPVER) && mv python ../python-keyczar-$(UPVER)+ds
	tar \
		--owner=root \
		--group=root \
		--mode=a+rX \
		--xz \
		-cf python-keyczar_$(UPVER)+ds.orig.tar.xz \
		python-keyczar-$(UPVER)+ds
	rm -rf Python_release_$(UPVER).tar.gz \
		keyczar-Python_release_$(UPVER) \
		python-keyczar-$(UPVER)+ds
